Chat With Agents
curl --request POST \
--url https://{api_endpoint}/v1/orchestrate/{agent_id}/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"role": "<string>",
"content": [
{
"json_schema": {},
"ui_schema": {},
"form_data": {},
"id": "<string>",
"form_operation": "<string>",
"sub_type": "<string>",
"event_type": "<string>",
"dps_payload_id": "<string>"
}
]
}
],
"additional_parameters": {},
"context": {},
"stream": true
}
'import requests
url = "https://{api_endpoint}/v1/orchestrate/{agent_id}/chat/completions"
payload = {
"messages": [
{
"role": "<string>",
"content": [
{
"json_schema": {},
"ui_schema": {},
"form_data": {},
"id": "<string>",
"form_operation": "<string>",
"sub_type": "<string>",
"event_type": "<string>",
"dps_payload_id": "<string>"
}
]
}
],
"additional_parameters": {},
"context": {},
"stream": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [
{
role: '<string>',
content: [
{
json_schema: {},
ui_schema: {},
form_data: {},
id: '<string>',
form_operation: '<string>',
sub_type: '<string>',
event_type: '<string>',
dps_payload_id: '<string>'
}
]
}
],
additional_parameters: {},
context: {},
stream: true
})
};
fetch('https://{api_endpoint}/v1/orchestrate/{agent_id}/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{}
],
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Orchestrate Agent
Chat With Agents
Chat With Agents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional header to specify the thread ID
Path Parameters
Body
application/json
⌘I

